> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk create category feedback for an end user

> Provide bulk feedback on Transaction Categories for a specified end user



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_users/{end_user_id_or_heron_id}/bulk_category_feedback
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/bulk_category_feedback:
    post:
      tags:
        - EnrichmentFeedback
      summary: Bulk create category feedback for an end user
      description: Provide bulk feedback on Transaction Categories for a specified end user
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
        - description: Whether to process the feedback with high priority
          in: query
          name: high_priority
          required: false
          schema:
            default: false
            type: boolean
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EndUserBulkCategoryFeedback'
        description: >
          A list of objects containing a Transaction's heron id and the
          suggested Category. If you provide a `heron_id` for Category, you
          don't need to provide other fields. If `heron_id` is provided, we
          disregard `label`.
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  category:
                    description: The applied category
                    properties:
                      description:
                        description: Description of the category
                        type: string
                      heron_id:
                        description: Unique ID of the category
                        type: string
                      label:
                        description: The label of the category
                        type: string
                    type: object
                  num_annotations:
                    description: The number of category annotations added
                    example: 1
                    type: integer
                  transaction_heron_ids:
                    description: List of affected transaction heron IDs
                    items:
                      type: string
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserBulkCategoryFeedback:
      properties:
        category:
          $ref: '#/components/schemas/CategoryFeedback'
        source:
          description: >-
            your identifier for where the feedback comes from e.g.
            bob_the_underwriter
          maxLength: 120
          nullable: true
          type: string
        transaction_heron_ids:
          default: []
          description: List of transaction heron IDs
          items:
            example: txn_VHEdL6Xh5ZGPREq9ceiy6E
            type: string
          type: array
        transaction_reference_ids:
          default: []
          description: List of transaction reference IDs
          items:
            example: your_reference_id
            type: string
          type: array
      required:
        - category
      type: object
    CategoryFeedback:
      properties:
        heron_id:
          description: heron_id of the correct category
          example: ctg_KGMGYqcERfUCsP5QSwTvPA
          type: string
        label:
          description: label of the correct category
          example: Insurance
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````